fop 1.1

## org.apache.fop.afp.ptoca
Interface PtocaProducer

All Known Implementing Classes:
  LineDataInfoProducer, TextDataInfoProducer

    public interface PtocaProducer

Producer interface that is passed to a `PresentationTextObject` to produce PTOCA control sequences using a `PtocaBuilder`.

Method Summary
`void` `produce(PtocaBuilder builder)` Produces the PTOCA control sequences by calling methods on `PtocaBuilder`.

Method Detail

### produce

    void produce(PtocaBuilder builder)
                 throws java.io.IOException

  Produces the PTOCA control sequences by calling methods on `PtocaBuilder`.

  Parameters:
    `builder` - the builder object
  Throws:
    `java.io.IOException` - if an I/O error occurs

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.